/*****************************************************************************/
/* SPSSload_NRD_2014_DX_PR_GRPS.SPS                                          */
/* This program will load the 2014 NRD csv DX_PR_GRPS File into SPSS.         */
/*****************************************************************************/

/* Read data elements from the csv file */
get data /type = txt
    /file = "NRD_2014_DX_PR_GRPS.csv"
    /delimiters = ',' 
    /variables = 
    BODYSYSTEM1              F3.0
    BODYSYSTEM2              F3.0
    BODYSYSTEM3              F3.0
    BODYSYSTEM4              F3.0
    BODYSYSTEM5              F3.0
    BODYSYSTEM6              F3.0
    BODYSYSTEM7              F3.0
    BODYSYSTEM8              F3.0
    BODYSYSTEM9              F3.0
    BODYSYSTEM10             F3.0
    BODYSYSTEM11             F3.0
    BODYSYSTEM12             F3.0
    BODYSYSTEM13             F3.0
    BODYSYSTEM14             F3.0
    BODYSYSTEM15             F3.0
    BODYSYSTEM16             F3.0
    BODYSYSTEM17             F3.0
    BODYSYSTEM18             F3.0
    BODYSYSTEM19             F3.0
    BODYSYSTEM20             F3.0
    BODYSYSTEM21             F3.0
    BODYSYSTEM22             F3.0
    BODYSYSTEM23             F3.0
    BODYSYSTEM24             F3.0
    BODYSYSTEM25             F3.0
    BODYSYSTEM26             F3.0
    BODYSYSTEM27             F3.0
    BODYSYSTEM28             F3.0
    BODYSYSTEM29             F3.0
    BODYSYSTEM30             F3.0
    CHRON1                   F3.0
    CHRON2                   F3.0
    CHRON3                   F3.0
    CHRON4                   F3.0
    CHRON5                   F3.0
    CHRON6                   F3.0
    CHRON7                   F3.0
    CHRON8                   F3.0
    CHRON9                   F3.0
    CHRON10                  F3.0
    CHRON11                  F3.0
    CHRON12                  F3.0
    CHRON13                  F3.0
    CHRON14                  F3.0
    CHRON15                  F3.0
    CHRON16                  F3.0
    CHRON17                  F3.0
    CHRON18                  F3.0
    CHRON19                  F3.0
    CHRON20                  F3.0
    CHRON21                  F3.0
    CHRON22                  F3.0
    CHRON23                  F3.0
    CHRON24                  F3.0
    CHRON25                  F3.0
    CHRON26                  F3.0
    CHRON27                  F3.0
    CHRON28                  F3.0
    CHRON29                  F3.0
    CHRON30                  F3.0
    DXMCCS1                  A11
    E_MCCS1                  A11
    HOSP_NRD                 F5.0
    KEY_NRD                  F15.0
    PCLASS1                  F3.0
    PCLASS2                  F3.0
    PCLASS3                  F3.0
    PCLASS4                  F3.0
    PCLASS5                  F3.0
    PCLASS6                  F3.0
    PCLASS7                  F3.0
    PCLASS8                  F3.0
    PCLASS9                  F3.0
    PCLASS10                 F3.0
    PCLASS11                 F3.0
    PCLASS12                 F3.0
    PCLASS13                 F3.0
    PCLASS14                 F3.0
    PCLASS15                 F3.0
    PRMCCS1                  A8
.

/*  Assign labels to the data elements */
VARIABLE LABELS 
    BODYSYSTEM1              "Body system 1"
    BODYSYSTEM2              "Body system 2"
    BODYSYSTEM3              "Body system 3"
    BODYSYSTEM4              "Body system 4"
    BODYSYSTEM5              "Body system 5"
    BODYSYSTEM6              "Body system 6"
    BODYSYSTEM7              "Body system 7"
    BODYSYSTEM8              "Body system 8"
    BODYSYSTEM9              "Body system 9"
    BODYSYSTEM10             "Body system 10"
    BODYSYSTEM11             "Body system 11"
    BODYSYSTEM12             "Body system 12"
    BODYSYSTEM13             "Body system 13"
    BODYSYSTEM14             "Body system 14"
    BODYSYSTEM15             "Body system 15"
    BODYSYSTEM16             "Body system 16"
    BODYSYSTEM17             "Body system 17"
    BODYSYSTEM18             "Body system 18"
    BODYSYSTEM19             "Body system 19"
    BODYSYSTEM20             "Body system 20"
    BODYSYSTEM21             "Body system 21"
    BODYSYSTEM22             "Body system 22"
    BODYSYSTEM23             "Body system 23"
    BODYSYSTEM24             "Body system 24"
    BODYSYSTEM25             "Body system 25"
    BODYSYSTEM26             "Body system 26"
    BODYSYSTEM27             "Body system 27"
    BODYSYSTEM28             "Body system 28"
    BODYSYSTEM29             "Body system 29"
    BODYSYSTEM30             "Body system 30"
    CHRON1                   "Chronic condition indicator 1"
    CHRON2                   "Chronic condition indicator 2"
    CHRON3                   "Chronic condition indicator 3"
    CHRON4                   "Chronic condition indicator 4"
    CHRON5                   "Chronic condition indicator 5"
    CHRON6                   "Chronic condition indicator 6"
    CHRON7                   "Chronic condition indicator 7"
    CHRON8                   "Chronic condition indicator 8"
    CHRON9                   "Chronic condition indicator 9"
    CHRON10                  "Chronic condition indicator 10"
    CHRON11                  "Chronic condition indicator 11"
    CHRON12                  "Chronic condition indicator 12"
    CHRON13                  "Chronic condition indicator 13"
    CHRON14                  "Chronic condition indicator 14"
    CHRON15                  "Chronic condition indicator 15"
    CHRON16                  "Chronic condition indicator 16"
    CHRON17                  "Chronic condition indicator 17"
    CHRON18                  "Chronic condition indicator 18"
    CHRON19                  "Chronic condition indicator 19"
    CHRON20                  "Chronic condition indicator 20"
    CHRON21                  "Chronic condition indicator 21"
    CHRON22                  "Chronic condition indicator 22"
    CHRON23                  "Chronic condition indicator 23"
    CHRON24                  "Chronic condition indicator 24"
    CHRON25                  "Chronic condition indicator 25"
    CHRON26                  "Chronic condition indicator 26"
    CHRON27                  "Chronic condition indicator 27"
    CHRON28                  "Chronic condition indicator 28"
    CHRON29                  "Chronic condition indicator 29"
    CHRON30                  "Chronic condition indicator 30"
    DXMCCS1                  "Multi-Level CCS:  Diagnosis 1"
    E_MCCS1                  "Multi-Level CCS:  E Code 1"
    HOSP_NRD                 "NRD hospital identifier"
    KEY_NRD                  "NRD record identifier"
    PCLASS1                  "Procedure class 1"
    PCLASS2                  "Procedure class 2"
    PCLASS3                  "Procedure class 3"
    PCLASS4                  "Procedure class 4"
    PCLASS5                  "Procedure class 5"
    PCLASS6                  "Procedure class 6"
    PCLASS7                  "Procedure class 7"
    PCLASS8                  "Procedure class 8"
    PCLASS9                  "Procedure class 9"
    PCLASS10                 "Procedure class 10"
    PCLASS11                 "Procedure class 11"
    PCLASS12                 "Procedure class 12"
    PCLASS13                 "Procedure class 13"
    PCLASS14                 "Procedure class 14"
    PCLASS15                 "Procedure class 15"
    PRMCCS1                  "Multi-Level CCS:  Procedure 1" .

/* Convert special values to system missing values */
RECODE BODYSYSTEM1              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM2              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM3              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM4              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM5              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM6              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM7              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM8              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM9              (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM10             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM11             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM12             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM13             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM14             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM15             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM16             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM17             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM18             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM19             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM20             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM21             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM22             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM23             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM24             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM25             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM26             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM27             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM28             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM29             (-99 -88 -66=SYSMIS).
RECODE BODYSYSTEM30             (-99 -88 -66=SYSMIS).
RECODE CHRON1                   (-99 -88 -66=SYSMIS).
RECODE CHRON2                   (-99 -88 -66=SYSMIS).
RECODE CHRON3                   (-99 -88 -66=SYSMIS).
RECODE CHRON4                   (-99 -88 -66=SYSMIS).
RECODE CHRON5                   (-99 -88 -66=SYSMIS).
RECODE CHRON6                   (-99 -88 -66=SYSMIS).
RECODE CHRON7                   (-99 -88 -66=SYSMIS).
RECODE CHRON8                   (-99 -88 -66=SYSMIS).
RECODE CHRON9                   (-99 -88 -66=SYSMIS).
RECODE CHRON10                  (-99 -88 -66=SYSMIS).
RECODE CHRON11                  (-99 -88 -66=SYSMIS).
RECODE CHRON12                  (-99 -88 -66=SYSMIS).
RECODE CHRON13                  (-99 -88 -66=SYSMIS).
RECODE CHRON14                  (-99 -88 -66=SYSMIS).
RECODE CHRON15                  (-99 -88 -66=SYSMIS).
RECODE CHRON16                  (-99 -88 -66=SYSMIS).
RECODE CHRON17                  (-99 -88 -66=SYSMIS).
RECODE CHRON18                  (-99 -88 -66=SYSMIS).
RECODE CHRON19                  (-99 -88 -66=SYSMIS).
RECODE CHRON20                  (-99 -88 -66=SYSMIS).
RECODE CHRON21                  (-99 -88 -66=SYSMIS).
RECODE CHRON22                  (-99 -88 -66=SYSMIS).
RECODE CHRON23                  (-99 -88 -66=SYSMIS).
RECODE CHRON24                  (-99 -88 -66=SYSMIS).
RECODE CHRON25                  (-99 -88 -66=SYSMIS).
RECODE CHRON26                  (-99 -88 -66=SYSMIS).
RECODE CHRON27                  (-99 -88 -66=SYSMIS).
RECODE CHRON28                  (-99 -88 -66=SYSMIS).
RECODE CHRON29                  (-99 -88 -66=SYSMIS).
RECODE CHRON30                  (-99 -88 -66=SYSMIS).
RECODE HOSP_NRD                 (-9999 -8888 -6666=SYSMIS).
RECODE KEY_NRD                  (-99999999999999 -88888888888888 -66666666666666=SYSMIS).
RECODE PCLASS1                  (-99 -88 -66=SYSMIS).
RECODE PCLASS2                  (-99 -88 -66=SYSMIS).
RECODE PCLASS3                  (-99 -88 -66=SYSMIS).
RECODE PCLASS4                  (-99 -88 -66=SYSMIS).
RECODE PCLASS5                  (-99 -88 -66=SYSMIS).
RECODE PCLASS6                  (-99 -88 -66=SYSMIS).
RECODE PCLASS7                  (-99 -88 -66=SYSMIS).
RECODE PCLASS8                  (-99 -88 -66=SYSMIS).
RECODE PCLASS9                  (-99 -88 -66=SYSMIS).
RECODE PCLASS10                 (-99 -88 -66=SYSMIS).
RECODE PCLASS11                 (-99 -88 -66=SYSMIS).
RECODE PCLASS12                 (-99 -88 -66=SYSMIS).
RECODE PCLASS13                 (-99 -88 -66=SYSMIS).
RECODE PCLASS14                 (-99 -88 -66=SYSMIS).
RECODE PCLASS15                 (-99 -88 -66=SYSMIS).

SAVE OUTFILE = 'NRD_2014_DX_PR_GRPS.SAV' / COMPRESSED.
